Por fin: campañas para migrar definitivamente a PHP5

Hace un tiempo ya que critico nuestra propia actitud pasiva cuando argumentamos que no usamos PHP5 porque en la mayoría de los servidores de hosting solo tienen instalado PHP4.

Hay que entender que siempre "somos parte del problema o parte de la solución", por consiguiente, si quieres que la situación cambie, no consumas sus productos, quéjate, solicita cambios, nuevas características, has proselitismo, crea una "causa"... como sucedió ahora.

"Debemos pasar de los dichos a los hechos

De la misma forma, creo que nos hace falta tener más
"sentimiento de comunidad", como sucede habitualmente -hasta de forma exagerada- en el mundo GNU/Linux. No es posible que nos sigamos quejando que los proveedores de hosting siguen usando PHP4. Deberíamos hacer campañas para promover la migración a las nuevas versiones de PHP, pero fundamentalmente, incorporar en nuestros desarrollos las características avanzadas del lenguaje, e invitar a usarlo como si fuera una arquitectura, actualizar a nuestro equipo de desarrolladores, visitar empresas, universidades, etc."

Artículo escrito en Nov / 2006 - "debemos profesionalizarnos"


No me canso de hablar del tema, de lo importante que es migrar a la versión 5 del lenguaje, pero fundamentalmente "migrar" la mentalidad de los programadores clásicos de PHP hacia niveles similares de madurez que cuentan los desarrolladores en arquitecturas como Java o .Net (no sirve si cambiamos de lenguaje pero seguimos programando igual, seguir rechazando la programación orientada a objetos... ya ni se discute que sirve).

Hace pocos días parece que el mundo se puso de acuerdo y han surgido dos noticias muy importantes. Primero, la creación de un movimiento que empuja la migración definitiva hacia PHP5 (exponiendo todas sus ventajas, buscando el apoyo de empresas, colocando una fecha límite, etc) y segundo, la noticia oficial de que PHP4 dejará de ser desarrollado (este será el último año).

Contundente la frase final del anuncio: "Por favor, dedica lo que queda del año para hacer que tus aplicaciones puedan funcionar sobre PHP5"

Claro, si PHP5 hace varios años que está disponible como una versión estable y ahora se anuncia que en el correr del fin de este año -principios del próximo- estaría disponible la primer versión 6 (PHP6)... ¿como puede ser que todavía se maneje la excusa de usar PHP4 porque "es más estable, seguro y probado"?


Espero que cuando solo exista PHP5 y PHP6 empiece a usarse, la comunidad no cometa el mismo error con el cambio a PHP7.

Debemos madurar, lo único constante es el cambio (y hay que asumir riesgos).



PD: hace pocas semanas también fue lanzado Zend Framework 1.0. Me pregunto, tú, desarrollador profesional de PHP... lo empezaste a probar? Donde quieres estar hoy? y mañana?

2 comentarios:

Andrés Guzmán dijo...

Espléndido como lo presentaste, muy buen articulo.

Solo estaría faltando por ahora la salida de PHP6 y ojalas con soporte a namespace o package.

enrique_place dijo...

Estimado Andrés:

De todas formas, para que PHP6 pueda ser considerado "estable" hay que esperar un año... pero el punto es que se demoraron demasiado. Tuvieron que hacer esto porque de lo contrario iban a tener en el mercado PHP4, PHP5, ahora PHP6 y en un futuro PHP7... como hacen?

Lo de namespace, dios te oiga, pero lo dudo ;-)

Entradas populares